VPS侦探论坛

 找回密码
 注册
查看: 258|回复: 3

lnmp1.6 php模块安装失败

[复制链接]
发表于 2019-10-22 19:08:43 | 显示全部楼层 |阅读模式



提示:PHP install failed.
[root@dj1 lnmp1.6]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.0 (Maipo)
[root@dj1 lnmp1.6]#
[root@dj1 lnmp1.6]# uname -a
Linux dj1.com 3.10.0-123.el7.x86_64 #1 SMP Mon May 5 11:16:57 EDT 2014 x86_64 x86_64 x86_64 GNU/Linux


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-10-23 10:21:22 | 显示全部楼层


---> Package libsemanage-python.x86_64 0:2.5-14.el7 will be an update
---> Package setools-libs.x86_64 0:3.3.7-46.el7 will be updated
---> Package setools-libs.x86_64 0:3.3.8-4.el7 will be an update
--> Processing Conflict: initscripts-9.49.47-1.el7.x86_64 conflicts redhat-release < 7.5-0.11
--> Finished Dependency Resolution
Error: initscripts conflicts with redhat-release-server-7.0-1.el7.x86_64
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
Loaded plugins: langpacks, product-id, subscription-manager

系统有问题不能正常安装依赖包
rhel没有正版的订阅不如直接用centos
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2019-10-23 11:37:24 | 显示全部楼层



licess 发表于 2019-10-23 10:21
---> Package libsemanage-python.x86_64 0:2.5-14.el7 will be an update
---> Package setools-libs.x86_ ...

你好,请问rhel具体是什么系统问题导致不能正常安装依赖包啊?我不用本地光盘yum源,用了阿里的base和epel源,最后也是Php模块不能安装成功。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-10-23 17:08:22 | 显示全部楼层



dj1cn 发表于 2019-10-23 11:37
你好,请问rhel具体是什么系统问题导致不能正常安装依赖包啊?我不用本地光盘yum源,用了阿里的base和epe ...

可以尝试
yum install yum-utils
yum-complete-transaction --cleanup-only
package-cleanup --dupes
package-cleanup --problems
确保正常后可以 yum install openssl-devel 进行测试,正常安装的话再安装lnmp
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-11-23 02:19 , Processed in 0.045417 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表